import { DynamoDBClient } from '@aws-sdk/client-dynamodb';
import { Event, eventSource } from '@othree.io/chisel';
import { Optional } from '@othree.io/optional';
import { ChiselDynamoConfiguration } from './types';
export declare const persist: (dynamoDb: DynamoDBClient, configuration: ChiselDynamoConfiguration) => eventSource.PersistEvent;
export declare const getEvents: (dynamoDb: DynamoDBClient, configuration: ChiselDynamoConfiguration) => (contextId: string) => Promise<Optional<Array<Event>>>;
//# sourceMappingURL=event-source.d.ts.map